- entityDefinitions:
  - IDM_Product__get__Brand: '{ba130c7b-8271-4ca2-8097-5b64922830e6}'
  - IDMB_Product__get__Brand: '{03f41038-4aa9-4c9d-96d8-23d788661713}'

  - IDI_WorkSet_BrandSingular: '{d07406a6-6318-4fbe-882a-d778662cee7d}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_BrandSingular;'
    name: 'Brand [Singular]'
    singular: yes

  - getReferencedInstanceSetMethod: '&IDM_Product__get__Brand;'
    forClassId: '&IDC_Product;'
    returnsWorkSetId: '&IDI_WorkSet_BrandSingular;'
    verb: 'get'
    name: 'Brand'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Product;'
    answerInstanceSet: '&IDR_Product__has__Brand;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Product__get__Brand;'
    executesMethod: '&IDM_Product__get__Brand;'